# Cards

### Endpoints Summary <a href="#endpoints-summary" id="endpoints-summary"></a>

| Method | Endpoint                                                                  | Description                   |
| ------ | ------------------------------------------------------------------------- | ----------------------------- |
| GET    | [`/account/balance`](/api/cards/user-account-balance.md)                  | Get user account balance      |
| GET    | [`/products`](/api/cards/card-products.md)                                | Get available card products   |
| POST   | [`/issue`](/api/cards/issue-new-card.md)                                  | Issue a new card              |
| GET    | [`/{san}/details`](/api/cards/card-details.md)                            | Get card details              |
| GET    | [`/list`](/api/cards/get-card-list.md)                                    | Get list of user's cards      |
| POST   | [`/{san}/topup`](/api/cards/card-top-up.md)                               | Add funds to card             |
| POST   | [`/{san}/withdraw`](/api/cards/card-withdrawal.md)                        | Withdraw funds from card      |
| POST   | [`/{san}/block`](/api/cards/card-block.md)                                | Block card permanently        |
| GET    | [`/{san}/block-detailes`](/api/cards/get-blocked-card-details.md)         | Get blocked card details      |
| GET    | [`/request/status`](/api/cards/get-card-request-status.md)                | Get operation(request) status |
| POST   | [`/{san}/freeze`](/api/cards/card-freeze-unfreeze-api.md#freeze-card)     | Temporarily freeze card       |
| POST   | [`/{san}/unfreeze`](/api/cards/card-freeze-unfreeze-api.md#unfreeze-card) | Unfreeze card                 |
| POST   | [`/{san}/set-pin`](/api/cards/card-pin-management.md#set-pin)             | Set card PIN (first time)     |
| POST   | [`/{san}/update-pin`](/api/cards/card-pin-management.md#update-pin)       | Update card PIN               |
| POST   | [`/{san}/update-email`](/api/cards/card-email-update.md)                  | Update card email             |
| POST   | [`/{san}/update-phone`](/api/cards/card-phone-update.md)                  | Update card phone             |
| POST   | [`/{san}/transactions`](/api/cards/card-transactions.md)                  | Get card transactions         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cardspro.com/api/cards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
